Loading...
Searching...
No Matches
_CacheInfo Struct Reference

## Data Fields

ClassType | storage_class
ColorspaceType | colorspace
PixelTrait | alpha_trait
ChannelType | channels
size_t | columns
size_t | rows
size_t | metacontent_extent
size_t | number_channels
PixelChannelMap | channel_map [MaxPixelChannels]
CacheType | type
MapMode | mode
MapMode | disk_mode
MagickBooleanType | mapped
MagickOffsetType | offset
MagickSizeType | length
VirtualPixelMethod | virtual_pixel_method
PixelInfo | virtual_pixel_color
size_t | number_threads
NexusInfo ** | nexus_info
Quantum * | pixels
void * | metacontent
int | file
char | filename [MagickPathExtent]
char | cache_filename [MagickPathExtent]
CacheMethods | methods
RandomInfo * | random_info
void * | server_info
MagickBooleanType | synchronize
MagickBooleanType | debug
MagickThreadType | id
ssize_t | reference_count
SemaphoreInfo * | semaphore
SemaphoreInfo * | file_semaphore
time_t | timestamp
size_t | signature
MagickCLCacheInfo | opencl
MagickBooleanType | composite_mask
MagickSizeType | width_limit
MagickSizeType | height_limit

## Detailed Description

Definition at line 132 of file cache-private.h.

## Field Documentation

## alpha_trait

PixelTrait _CacheInfo::alpha_trait

Definition at line 141 of file cache-private.h.

## cache_filename

char _CacheInfo::cache_filename[MagickPathExtent]

Definition at line 196 of file cache-private.h.

## channel_map

PixelChannelMap _CacheInfo::channel_map[MaxPixelChannels]

Definition at line 155 of file cache-private.h.

## channels

ChannelType _CacheInfo::channels

Definition at line 144 of file cache-private.h.

## colorspace

ColorspaceType _CacheInfo::colorspace

Definition at line 138 of file cache-private.h.

## columns

size_t _CacheInfo::columns

Definition at line 147 of file cache-private.h.

## composite_mask

MagickBooleanType _CacheInfo::composite_mask

Definition at line 231 of file cache-private.h.

## debug

MagickBooleanType _CacheInfo::debug

Definition at line 209 of file cache-private.h.

## disk_mode

MapMode _CacheInfo::disk_mode

Definition at line 162 of file cache-private.h.

## file

int _CacheInfo::file

Definition at line 192 of file cache-private.h.

## file_semaphore

SemaphoreInfo * _CacheInfo::file_semaphore

Definition at line 219 of file cache-private.h.

## filename

char _CacheInfo::filename[MagickPathExtent]

Definition at line 195 of file cache-private.h.

## height_limit

MagickSizeType _CacheInfo::height_limit

Definition at line 235 of file cache-private.h.

## id

MagickThreadType _CacheInfo::id

Definition at line 212 of file cache-private.h.

## length

MagickSizeType _CacheInfo::length

Definition at line 171 of file cache-private.h.

## mapped

MagickBooleanType _CacheInfo::mapped

Definition at line 165 of file cache-private.h.

## metacontent

void* _CacheInfo::metacontent

Definition at line 189 of file cache-private.h.

## metacontent_extent

size_t _CacheInfo::metacontent_extent

Definition at line 151 of file cache-private.h.

## methods

CacheMethods _CacheInfo::methods

Definition at line 199 of file cache-private.h.

## mode

MapMode _CacheInfo::mode

Definition at line 161 of file cache-private.h.

## nexus_info

NexusInfo** _CacheInfo::nexus_info

Definition at line 183 of file cache-private.h.

## number_channels

size_t _CacheInfo::number_channels

Definition at line 152 of file cache-private.h.

## number_threads

size_t _CacheInfo::number_threads

Definition at line 180 of file cache-private.h.

## offset

MagickOffsetType _CacheInfo::offset

Definition at line 168 of file cache-private.h.

## opencl

MagickCLCacheInfo _CacheInfo::opencl

Definition at line 228 of file cache-private.h.

## pixels

Quantum* _CacheInfo::pixels

Definition at line 186 of file cache-private.h.

## random_info

RandomInfo* _CacheInfo::random_info

Definition at line 202 of file cache-private.h.

## reference_count

ssize_t _CacheInfo::reference_count

Definition at line 215 of file cache-private.h.

## rows

size_t _CacheInfo::rows

Definition at line 148 of file cache-private.h.

## semaphore

SemaphoreInfo* _CacheInfo::semaphore

Definition at line 218 of file cache-private.h.

## server_info

void* _CacheInfo::server_info

Definition at line 205 of file cache-private.h.

## signature

size_t _CacheInfo::signature

Definition at line 225 of file cache-private.h.

## storage_class

ClassType _CacheInfo::storage_class

Definition at line 135 of file cache-private.h.

## synchronize

MagickBooleanType _CacheInfo::synchronize

Definition at line 208 of file cache-private.h.

## timestamp

time_t _CacheInfo::timestamp

Definition at line 222 of file cache-private.h.

## type

CacheType _CacheInfo::type

Definition at line 158 of file cache-private.h.

## virtual_pixel_color

PixelInfo _CacheInfo::virtual_pixel_color

Definition at line 177 of file cache-private.h.

## virtual_pixel_method

VirtualPixelMethod _CacheInfo::virtual_pixel_method

Definition at line 174 of file cache-private.h.

## width_limit

MagickSizeType _CacheInfo::width_limit

Definition at line 234 of file cache-private.h.

The documentation for this struct was generated from the following file:

- cache-private.h